Hooks:Add('LocalizationManagerPostInit', 'PerkDeckMixer_LocalizationManager_init',
function(loc)
	loc:add_localized_strings({
		['perk_deck_mix_name'] = 'Mixed Perk Deck',
		['perk_deck_mix_desc'] = 'This perk deck allows you to mix perks from other decks within the same tier.',
		['perk_empty_name'] = 'Perk disabled!',
		['perk_empty_desc'] = 'The selected perk is locked or unavailable.'
	})
end)

Hooks:PostHook(SkillTreeTweakData, 'init', 'PerkDeckMixer_SkillTreeTweakData_init',
function(self)
	local perk_deck_mix = {}
	for i = 1,9 do
		table.insert(perk_deck_mix, {
			cost = 0,
			name_id = 'perk_empty_name',
			desc_id = 'perk_empty_desc',
			upgrades = {},
			icon_xy = {-1,-1}
		})
	end
	perk_deck_mix['name_id'] = 'perk_deck_mix_name'
	perk_deck_mix['desc_id'] = 'perk_deck_mix_desc'
	table.insert(self.specializations, perk_deck_mix)
end)